#
# spec file for package eel (Version 2.12.2)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gail gail-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-desktop gnome-desktop-devel gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-menus gnome-menus-devel gnome-patch-translation gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info startup-notification startup-notification-devel strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           eel
BuildRequires:  gail-devel gnome-desktop-devel gnome-menus-devel gnome-patch-translation gnutls-devel libglade2-devel libgnomeprintui-devel libwnck-devel mDNSResponder-devel update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          System/Libraries
Autoreqprov:    on
Provides:       eel2
Obsoletes:      eel2
Version:        2.12.2
Release:        18.2
Summary:        The Eazel Extensions Library
Source:         ftp://ftp.gnome.org/pub/gnome/sources/eel/2.11/%{name}-%{version}.tar.bz2
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Patch:          eel-strict-aliasing.patch
Patch1:         eel-preferences-remove-warning.patch
Patch2:         open-with-order.patch

%description
This library extends the Gtk+ library with some useful routines for
applications like Nautilus.



%debug_package
%package devel
Summary:        Include Files and Libraries mandatory for Development.
Group:          System/Libraries
Autoreqprov:    on
Requires:       %{name} = %{version} gconf2-devel gtk2-devel glib2-devel gnome-vfs2-devel libart_lgpl-devel libgnome-devel libgnomeui-devel libxml2-devel gail-devel libglade2-devel gnome-desktop-devel gnome-menus-devel
Provides:       eel2-devel
Obsoletes:      eel2-devel

%description devel
This package contains all necessary include files and libraries needed
to develop applications that require these.



%prep
%setup -q
gnome-patch-translation-prepare
%patch
%patch1 -p0
%patch2 -p0
gnome-patch-translation-update

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && \
        mv configure.in.tmp configure.in
libtoolize --force
aclocal
automake --add-missing
autoconf
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --libdir=%prefix/%_lib \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde \
    --enable-platform-gnome2
make

%install
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}-2.0

%post
%run_ldconfig

%postun
%run_ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %files -f %{name}-2.0.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
%defattr (-, root, root)
%{prefix}/%_lib/*.so.*

%files devel
%defattr(-,root,root)
%{prefix}/%_lib/pkgconfig/*.pc
%{prefix}/include/eel-2
%{prefix}/%_lib/*.so
%{prefix}/%_lib/*.*a

%changelog -n eel
* Wed Feb 01 2006 - sbrabec@suse.cz
- Use translation compendium gnome-patch-translation.
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.12.2
* Wed Oct 12 2005 - gekker@suse.de
- Update to version 2.12.1
* Mon Sep 05 2005 - mmj@suse.de
- Update to version 2.12.0 (GNOME 2.12)
* Tue Aug 23 2005 - rodrigo@suse.de
- Update to version 2.11.92
* Thu Aug 11 2005 - gekker@suse.de
- Update to version 2.11.91
* Tue Aug 02 2005 - gekker@suse.de
- Update to version 2.11.90
- Remove upstreamed patch
* Wed Jul 13 2005 - sbrabec@suse.cz
- Updated to version 2.11.4.
- Added x-nautilus-search support patch.
* Tue Jun 28 2005 - gekker@suse.de
- Update Jody's open-with-order patch
* Fri Jun 17 2005 - gekker@suse.de
- Update to version 2.11.2
* Wed Jun 01 2005 - sbrabec@suse.cz
- Fixed devel requirements.
* Wed May 18 2005 - sbrabec@suse.cz
- Updated to version 2.10.1.
* Wed Mar 09 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10.0).
* Wed Mar 02 2005 - gekker@suse.de
- Update to version 2.9.92
* Fri Feb 18 2005 - jody@suse.de
- Add a patch to split the list of available apps into those known
  to support the mime type, and all the rest
* Thu Feb 10 2005 - gekker@suse.de
- Updated to version 2.9.91
* Sat Feb 05 2005 - gekker@suse.de
- Updated to 2.9.90
* Tue Jan 18 2005 - clahey@suse.de
- Updated to eel 2.9.2.
* Wed Oct 27 2004 - mmj@suse.de
- Locale rename no to nb
* Thu Aug 19 2004 - dave@suse.de
- Added eel-preferences-remove-warning.patch, fixes ximian bug
  [#62642]
* Fri Jun 04 2004 - clahey@suse.de
- Updated to 2.6.2.
* Wed May 26 2004 - hhetter@suse.de
- use automake, built libs on x86_64
* Mon Apr 26 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Mon Feb 09 2004 - hhetter@suse.de
- updated to version 2.4.2 [GNOME2.4.2]
* Sat Jan 10 2004 - adrian@suse.de
- add %%defattr
* Mon Oct 27 2003 - sbrabec@suse.cz
- Updated to version 2.4.1.
* Mon Sep 29 2003 - hhetter@suse.de
- updated to version 2.4.0 [GNOME2.4]
* Tue Aug 26 2003 - sbrabec@suse.cz
- Added Provides/Obsoletes for old name.
* Tue Aug 19 2003 - sbrabec@suse.cz
- Package renamed (eel2 -> eel).
* Thu Aug 14 2003 - adrian@suse.de
- add %%run_ldconfig
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jun 25 2003 - sbrabec@suse.cz
- Updated to version 2.2.4.
- Use %%find_lang.
- Updated neededforbuild.
* Tue May 27 2003 - ro@suse.de
- mv pkgconfig file instead of copy
* Wed Mar 19 2003 - hhetter@suse.de
- updated to version 2.2.2
* Thu Feb 13 2003 - sbrabec@suse.cz
- Updated to version 2.2.1.
* Tue Jan 28 2003 - hhetter@suse.de
- updated to 2.2.0.2
* Mon Jan 20 2003 - ro@suse.de
- up to 2.1.91 for nautilus
* Thu Jan 16 2003 - ro@suse.de
- use gtk2-devel-packages and libjpeg in neededforbuild
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 2.0.8 [GNOME 2.0.3]
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Oct 22 2002 - hhetter@suse.de
- updated to stable version 2.0.7
- remove wrong docdir
* Tue Sep 24 2002 - sbrabec@suse.cz
- Added alsa-devel to neededforbuild, because esound-devel can require it.
* Wed Sep 18 2002 - sbrabec@suse.cz
- Added alsa to neededforbuild, because esound can depend on it.
* Mon Aug 12 2002 - ro@suse.de
- removed control-center from neededforbuild
* Tue Aug 06 2002 - hhetter@suse.de
- updated to version 2.0.3
  * more fixes for eel-background
* Fri Jul 26 2002 - hhetter@suse.de
- updated to version 2.0.2
  * EelBackgroundStyle has been removed
* Tue Jul 23 2002 - hhetter@suse.de
- updated to version 2.0.1
  * UI tweaks
  * Bugfixes and performance fixes
  * New eel_vfs_has_capability() framework
  * New labeled image radiobutton
  * Accessibility updates
* Tue Jun 11 2002 - hhetter@suse.de
- updated to version 2.2.0
* Wed Jun 05 2002 - hhetter@suse.de
- updated to version 1.1.17, source frozen
* Wed May 15 2002 - ro@suse.de
- use libdir
* Tue May 07 2002 - ro@suse.de
- update to 1.1.13 (needed for recent nautilus2)
- added gail to neededforbuild
* Mon Apr 15 2002 - hhetter@suse.de
- update to version 1.1.9  [gnome desktop beta3]
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 24 2002 - hhetter@suse.de
- initial SuSE package for GNOME 2.0 desktop
